Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154815 - OOo writer dies when loading a large file
Summary: OOo writer dies when loading a large file
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 13:03 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 07:49:14 UTC


Attachments (Terms of Use)
OOWriter file with the files imported (deleted)
2005-04-14 15:07 UTC, Paul F. Johnson
no flags Details

Description Paul F. Johnson 2005-04-14 13:03:18 UTC
Description of problem:
I have a file composed completely of imported HTML files. When saving, the
processor usage goes to 100%. On reloading the file, processor usage goes to
100%, the file briefly appears on screen and then OOo crashes.

Version-Release number of selected component (if applicable):
1.9.92-2

How reproducible:
Always

Steps to Reproduce:
1. Start OOo writer and import around 300K of HTML with images
2. Save, edit a bit, save
3. Close OOo. Start OOo and file->open
  
Actual results:
CPU usage goes to 100%, file briefly appears and OOo dies

Expected results:
File should be loaded

Additional info:
If the HTML images are not available, the file loads and is editable. All images
are gifs.

I can tarball both the file and the html source if it helps.

Comment 1 Caolan McNamara 2005-04-14 13:09:10 UTC
attach the tarball and I can have a look

Comment 2 Paul F. Johnson 2005-04-14 15:07:40 UTC
Created attachment 113153 [details]
OOWriter file with the files imported

Do not double click the OOo file - that gives a serious wierd result - the file
loads, but all of the top panels vanish!

Comment 3 Paul F. Johnson 2005-04-17 16:21:23 UTC
As a side question, once an image is brought in as part of a HTML document,
shouldn't it become embedded into the actual document instead of being a link or
do I need to say make all images part of the doc?

Comment 4 Caolan McNamara 2005-04-27 07:49:14 UTC
Seems ok with 1.9.96-2, certainly opening the .odt doesn't crash or fail in some
other way. Importing a few of the html files seems alright both during and after


Note You need to log in before you can comment on or make changes to this bug.